@import 'color';
@import 'layout';
@import 'tabs';
@import 'list';
@import 'header';
@import 'popular';

////////////////////////////////////////////////////////////////
/// Scrollbar
////////////////////////////////////////////////////////////////
::-webkit-scrollbar {
      width: 10px;
} /* this targets the default scrollbar (compulsory) */
::-webkit-scrollbar-track {
      background-color: $grey-50;
} /* the new scrollbar will have a flat appearance with the set background color */
 
::-webkit-scrollbar-thumb {
      background-color: $grey-200;
      border-radius: 1px;
      &:hover {
          background-color: $grey-400;
      }
} /* this will style the thumb, ignoring the track */
 
::-webkit-scrollbar-button {
      display: none;
} /* optionally, you can style the top and the bottom buttons (left and right for horizontal bars) */
 
::-webkit-scrollbar-corner {
      background-color: $black;
} /* if both the vertical and the horizontal bars appear, then perhaps the right bottom corner also needs to be styled */

.login-banner {
      p {
            line-height: 1.5em;
            margin: 0;
      }
      background-color: $grey-200;
}

.btn_google_signin_dark_normal_web {
      position: relative;
      border-radius: 2px;
      height: 40px;
      background-color: #4285F4;
      box-shadow: 0px 1px 1px rgba(0, 0, 0, 0.24), 0px 0px 1px rgba(0, 0, 0, 0.12);
      font-size: 14px;
      font-weight: 500;
      color: #fff;
      letter-spacing: 0.015625px;
      border: none;
      padding: 0 9px 0 0;
      margin-top: .9em;
      .google-logo {
            margin: 1px 5px 1px 1px;;
      }
      &:active {
            background-color: #3367D6;
      }
}

.profile-info {
      background-color: $grey-50;
      .profile-picture {
            width: 24px;
            height: 24px;
            border-radius: 50%;
      }
      .profile-name {
            font-size: 16px;
            font-weight: 500;
            line-height: 0;
            padding-left: .5em;
      }
}

.login-banner, 
.profile-info,
.user-info {
      display: flex;
      align-items: center;
      flex-wrap: wrap;
      justify-content: space-between;
}

.login-banner,
.profile-info {
      padding: 16px;
}